QGIS Application - Bug report #19326
WMS: something is going wrong...
2018-07-03 08:01 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.3(master) Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27154
Description

In current master (QGIS code revision 497637b8a5) something is going wrong with WMS coords.

To reproduce:

- create EPSG:28992 empty project
- from WFS service: https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/wis?version=1.0.0&#38;request=GetCapabilities

load layer: bestuurlijkegrenzen:provincies
You should see the provinces of NL
- from WMS service: hitps://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMSx%x%

load layer: provincies
If you do NOT change the epsg, but keep it 4326 you will NOT get a map.

Another way:
- create a project 4326
- open WMS layer provincies: No map.

| see in debug window:

https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows ?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38
LAYERS=provincies&#38;STYLES&#38;WIDTH=2147483647&#38;HEIGHT=-1606881664&#38;FORMAT=image/png&#38;CRS=EPS

5:4326

G:4326&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;, TRANSPARENT=TRUE&#38;BBOX=53.58

278517

8278517693342025,3.20518236682698143,3799937.26855485513806343,5078278.88565741013735533

Looks like the BBOX is a mix of epsg:4326 and epsg:28992

Strange thing is that if you save it as a project, all will be fine IF you open the project in a new session.
| see this only in master, 3.2 and 2.18 are fine for what | see.

Attached some project files (which just work, as said)

History

#1 - 2018-07-08 02:25 PM - Richard Duivenvoorde
- Status changed from Open to Closed

Cannot reproduce anymore.

Closing myself.

2024-03-20 12


https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/wfs?version=1.0.0&#38;request=GetCapabilities
https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMSx%x
https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=provincies&#38;STYLES&#38;WIDTH=2147483647&#38;HEIGHT=-1606881664&#38;FORMAT=image/png&#38;CRS=EPSG:4326&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE&#38;BBOX=53.58278517693342025,3.20518236682698143,3799937.26855485513806343,5078278.88565741013735533
https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=provincies&#38;STYLES&#38;WIDTH=2147483647&#38;HEIGHT=-1606881664&#38;FORMAT=image/png&#38;CRS=EPSG:4326&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE&#38;BBOX=53.58278517693342025,3.20518236682698143,3799937.26855485513806343,5078278.88565741013735533
https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=provincies&#38;STYLES&#38;WIDTH=2147483647&#38;HEIGHT=-1606881664&#38;FORMAT=image/png&#38;CRS=EPSG:4326&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE&#38;BBOX=53.58278517693342025,3.20518236682698143,3799937.26855485513806343,5078278.88565741013735533
https://geodata.nationaalgeoregister.nl/bestuurlijkegrenzen/ows?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;LAYERS=provincies&#38;STYLES&#38;WIDTH=2147483647&#38;HEIGHT=-1606881664&#38;FORMAT=image/png&#38;CRS=EPSG:4326&#38;DPI=96&#38;MAP_RESOLUTION=96&#38;FORMAT_OPTIONS=dpi:96&#38;TRANSPARENT=TRUE&#38;BBOX=53.58278517693342025,3.20518236682698143,3799937.26855485513806343,5078278.88565741013735533

Files

wmsmaster.qgz 4.13KB 2018-07-03 Richard Duivenvoorde

wms218.9gs 12 KB 2018-07-03 Richard Duivenvoorde

wms32.q9z 4.06 KB 2018-07-03 Richard Duivenvoorde
